ChartDirector Ver 5.0 (PHP Edition)

FinanceChart.addBand

Usage

addBand(upperLine, lowerLine, lineColor, fillColor, name)

Description

Adds a generic band to the main finance chart. This method is used internally by other methods to add various bands (eg. Bollinger band, Donchian channels, etc).

Arguments

Argument | Default | Description
--- | --- | ---
upperLine | (Mandatory) | The data series for the upper band line.
lowerLine | (Mandatory) | The data series for the lower band line.
lineColor | (Mandatory) | The color of the upper and lower band line.
fillColor | (Mandatory) | The color to fill the region between the upper and lower band lines.
name | (Mandatory) | The name of the band.

Return Value

An InterLineLayer object representing the filled region.

© 2009 Advanced Software Engineering Limited. All rights reserved.